libany-moose-perl_0.24-1_all.deb


Advertisement

Description

libany-moose-perl - module to use either Moose or Mouse, based on availability

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libany-moose-perl
Package version: 0.24
Package release: 1
Package architecture: all
Package type: deb
Installed size: 57 B
Download size: 11.41 KB
Official Mirror: ftp.br.debian.org
Any::Moose is a Perl module that intelligently loads either Moose or Mouse, which provide nearly identical interfaces to the same modern object system. This module takes advantage of the fact that anything that works with Mouse should also work with Moose. Any::Moose has been deprecated, please use Moo instead of Any::Moose for new code.

Alternatives

    Download

    Source package: libany-moose-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libany-moose-perl deb package:
      # sudo apt-get install libany-moose-perl

    Files

    • /usr/share/doc/libany-moose-perl/CONTRIBUTING
    • /usr/share/doc/libany-moose-perl/changelog.Debian.gz
    • /usr/share/doc/libany-moose-perl/changelog.gz
    • /usr/share/doc/libany-moose-perl/copyright
    • /usr/share/man/man3/Any::Moose.3pm.gz
    • /usr/share/perl5/Any/Moose.pm

    Changelog

    2014-06-23 - gregor herrmann <gregoa@debian.org> libany-moose-perl (0.24-1) unstable; urgency=medium * Team upload. * New upstream release.

    2014-06-19 - gregor herrmann <gregoa@debian.org> libany-moose-perl (0.22-1) unstable; urgency=medium * Team upload. * New upstream release. * Strip trailing slash from metacpan URLs. * debian/copyright: update Upstream-Contact and copyright years. * Install new CONTRIBUTING document. * Declare compliance with Debian Policy 3.9.5.

    2013-03-07 - Xavier Guimard <x.guimard@free.fr> libany-moose-perl (0.21-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ Alessandro Ghedini ] * Remove myself from Uploaders [ Xavier Guimard ] * Imported Upstream version 0.21 * Update debian/copyright years

    2013-01-21 - Xavier Guimard <x.guimard@free.fr> libany-moose-perl (0.20-1) unstable; urgency=low [ Alessandro Ghedini ] * New upstream release * Email change: Alessandro Ghedini -> ghedo@debian.org [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) [ Xavier Guimard ] * Imported Upstream version 0.20 * Update debian/copyright (years and format) * Bump Standards-Version to 3.9.4 * Update description: indicate that this module has been deprecated. Now Moo is recommended for new code

    2011-09-17 - Alessandro Ghedini <al3xbio@gmail.com> libany-moose-perl (0.17-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ Alessandro Ghedini ] * New upstream release * Drop fix-eval-check.patch (merged upstream)

    2011-05-12 - Alessandro Ghedini <al3xbio@gmail.com> libany-moose-perl (0.14-1) unstable; urgency=low [ Ansgar Burchardt ] * Email change: Ansgar Burchardt -> ansgar@debian.org [ Alessandro Ghedini ] * New upstream release * Update upstream copyright year * Bump Standards-Version to 3.9.2 (no changes needed) * Bump debhelper compat level to 8 * Replace "Debian GNU/Linux" with just "Debian" in debian/copyright * Fix lintian copyright-refers-to-symlink-license * Add myself to Uploaders * Build-Depends-Indep on libmousex-types-perl (needed for tests) * Remove Recommends for libmouse-perl (already in Depends) * Add fix-eval-check patch

    2010-05-19 - Ansgar Burchardt <ansgar@43-1.org> libany-moose-perl (0.13-1) unstable; urgency=low * New upstream release. * Add myself to Uploaders.

    2010-04-03 - Jonathan Yu <jawnsy@cpan.org> libany-moose-perl (0.12-1) unstable; urgency=low * New upstream release * Standards-Version 3.8.4 (no changes) * Depends satisfied by either Mouse or Moose (only one is necessary) * Drop version deps where satisfied by oldstable * Use 3.0 (quilt) source format * Update copyright to DEP5 format * Rewrite short description

    2009-12-15 - Jonathan Yu <jawnsy@cpan.org> libany-moose-perl (0.11-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Rewrite control description * Standards-Version 3.8.3 (no changes) * Add myself to Uploaders and Copyright * Use new short debhelper rules file [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Ryan Niebur ] * New upstream release * Debian Policy 3.8.2 * Update ryan52's email address [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3).

    2009-05-18 - Ryan Niebur <ryanryan52@gmail.com> libany-moose-perl (0.09-1) unstable; urgency=low * New upstream release * add build dep on libmoosex-types-perl for the tests * update versioned dependency on mouse

    Advertisement
    Advertisement